# $Revision: 1.65 $, $Date: 2012/01/10 16:30:17 $
#
# Conditional build:
%bcond_without	gtk	# without GTK+ frontend
#
Summary:	Software to create compressed audio files
Summary(es.UTF-8):	Lame es un gerador de MP3
Summary(pl.UTF-8):	Program do tworzenia skompresowanych plików dźwiękowych
Summary(pt_BR.UTF-8):	Lame é um gerador de MP3
Name:		lame
Version:	3.99.3
Release:	1
# libmp3lame encoder is LGPL v2+, but decoder parts (enabled by default)
# come from old mpg123 code, which was licensed on GPL
License:	GPL v2+ (MP3 decoder), LGPL v2+ (the rest)
Group:		Applications/Sound
Source0:	http://downloads.sourceforge.net/lame/%{name}-%{version}.tar.gz
# Source0-md5:	5ad31e33e70455eb3a7b79a5dd934fce
Patch0:		%{name}-link.patch
Patch1:		%{name}-without_gtk.patch
URL:		http://lame.sourceforge.net/
BuildRequires:	autoconf >= 2.68
BuildRequires:	automake
%{?with_gtk:BuildRequires:	gtk+-devel >= 1.2.0}
# with --with-fileio=sndfile (but disables stdin input)
#BuildRequires:	libsndfile-devel >= 1.0.2
BuildRequires:	libtool
BuildRequires:	nasm
BuildRequires:	ncurses-devel >= 4.2
BuildRequires:	pkgconfig
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Lame is a program which can be used to create compressed audio files.
(Lame aint MP3 encoder). These audio files can be played back by
popular MP3 players such as mpg123.

%description -l es.UTF-8
LAME es un encoder MP3 GPL.

%description -l pl.UTF-8
Lame jest programem, który służy do tworzenia skompresowanych plików
dźwiękowych. (Lame nie jest programem do kompresji w formacie MP3).
Stworzone pliki można odtwarzać dekoderami MP3, np.: mpg123.

%description -l pt_BR.UTF-8
LAME é um encoder MP3 GPL.

%package libs
Summary:	LAME MP3 encoding library
Summary(pl.UTF-8):	Biblioteka kodująca MP3 LAME
Group:		Libraries

%description libs
LAME MP3 encoding library.

%description libs -l pl.UTF-8
Biblioteka kodująca MP3 LAME.

%package libs-devel
Summary:	Header files and devel documentation
Summary(es.UTF-8):	Archivos para desarrollo
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja developerska
Summary(pt_BR.UTF-8):	Arquivos para desenvolvimento
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description libs-devel
Header files and devel documentation for LAME libraries.

%description libs-devel -l es.UTF-8
Archivos de desarrolo.

%description libs-devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja developerska bibliotek LAME.

%description libs-devel -l pt_BR.UTF-8
Arquivos de desenvolvimento.

%package libs-static
Summary:	Static LAME library
Summary(es.UTF-8):	Bibliotecas estaticas de desarrollo
Summary(pl.UTF-8):	Biblioteki statyczne LAME
Summary(pt_BR.UTF-8):	Bibliotecas estáticas de desenvolvimento
Group:		Development/Libraries
Requires:	%{name}-libs-devel = %{version}-%{release}

%description libs-static
LAME static libraries.

%description libs-static -l es.UTF-8
Bibliotecas estaticas de desarrollo.

%description libs-static -l pl.UTF-8
Biblioteki statyczne LAME.

%description libs-static -l pt_BR.UTF-8
Bibliotecas estáticas de desenvolvimento.

%package x11
Summary:	GTK+ frame analyzer
Summary(pl.UTF-8):	Analizator ramek w GTK+
Group:		Applications/Sound
Requires:	%{name}-libs = %{version}-%{release}

%description x11
GTK+ frame analyzer.

%description x11 -l pl.UTF-8
Analizator ramek w GTK+.

%prep
%setup -q
%patch0 -p1
%{!?with_gtk:%patch1 -p1}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-cpml \
	--enable-shared \
	--enable-static \
	%{?with_gtk:--enable-mp3x} \
	--enable-mp3rtp \
	--enable-brhist

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/lame/html

%clean
rm -rf $RPM_BUILD_ROOT

%post   libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog README TODO USAGE doc/html/*.html
%attr(755,root,root) %{_bindir}/lame
%attr(755,root,root) %{_bindir}/mp3rtp
%{_mandir}/man1/lame.1*

%files libs
%defattr(644,root,root,755)
%doc LICENSE
%attr(755,root,root) %{_libdir}/libmp3lame.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmp3lame.so.0

%files libs-devel
%defattr(644,root,root,755)
%doc API DEFINES
%attr(755,root,root) %{_libdir}/libmp3lame.so
%{_libdir}/libmp3lame.la
%{_includedir}/lame

%files libs-static
%defattr(644,root,root,755)
%{_libdir}/libmp3lame.a

%if %{with gtk}
%files x11
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mp3x
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lame.spec,v $
Revision 1.65  2012/01/10 16:30:17  marti
- up to 3.99.3

Revision 1.64  2012/01/03 20:05:59  lisu
- rel 2

Revision 1.63  2011/11/19 15:05:57  arekm
- up to 3.99.2

Revision 1.62  2011/10/19 19:19:49  qboosh
- updated ac version

Revision 1.61  2011/10/19 09:02:07  lisu
- updated to 3.99
- lame-amfix.patch is obsoleted
- adjusted %%doc
- __rm macro

Revision 1.60  2011/08/31 18:32:56  arekm
- release 2

Revision 1.59  2010/10/31 18:04:13  qboosh
- unified sf URL format
- package README
- fixed version in rev. 1.58 changelog entry

Revision 1.58  2010/03/24 07:27:20  amateja
- updated to 3.98.4

Revision 1.57  2010/03/01 13:08:04  amateja
- updated to 3.98.3

Revision 1.56  2009/12/01 00:56:37  sparky
- BR: pkgconfig

Revision 1.55  2008/11/14 14:29:35  baggins
- distfiles friendly Source0

Revision 1.54  2008/11/14 13:13:31  baggins
- updated to 3.98.2

Revision 1.53  2008/08/23 12:42:55  qboosh
- updated to 3.98
- updated link patch, added stdint patch

Revision 1.52  2007/12/01 21:24:17  qboosh
- license note

Revision 1.51  2007-05-23 20:33:50  blekot
- rel up (3) (needs to be rebuild due to encoding problems)
- STBR/ready

Revision 1.50  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.49  2007/02/12 00:49:01  baggins
- converted to UTF-8

Revision 1.48  2007/01/04 19:21:00  arekm
- rel 2

Revision 1.47  2006/09/26 19:52:37  glen
- check-files cleanup

Revision 1.46  2006/09/26 19:43:42  qboosh
- updated to final 3.97
- updated link patch to reduce linking and fix build with as-needed

Revision 1.45  2006/07/14 13:32:53  shadzik
- ups, it 3.97b2 of course, cvslog entry fixed

Revision 1.44  2006/07/14 13:27:17  shadzik
- up to 3.97b2 by Michał Lisowski <lisu87@gmail.com>

Revision 1.43  2005/05/20 13:46:37  pluto
- release 3 for Th.

Revision 1.42  2005/01/02 15:41:30  sardzent
- changed URL (now it works)

Revision 1.41  2004/10/28 10:49:16  paladine
- "MP3" unification

Revision 1.40  2004/10/28 09:58:32  paladine
- "GTK+" unification (hope thats all)

Revision 1.39  2004/07/26 18:58:14  undefine
- release 2 for AC

Revision 1.38  2004/07/26 18:43:50  undefine
- update to 3.96.1

Revision 1.37  2004/04/11 16:58:37  adamg
- updated to 3.96

Revision 1.36  2004/03/01 15:40:10  pluto
- strict deps.

Revision 1.35  2004/01/25 15:19:55  qboosh
- killed _xbindir creation

Revision 1.34  2004/01/15 23:08:12  qboosh
- updated to 3.95.1, added amfix patch
- new-style bcond, killed _xbindir

Revision 1.33  2003/05/25 11:00:52  malekith
- massive attack, adding Source-md5

Revision 1.32  2003/05/25 05:49:38  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.31  2003/04/08 12:54:44  qboosh
- use http for sources from sourceforge

Revision 1.30  2003/01/23 07:15:26  trojan
- added without_gtk.patch

Revision 1.29  2003/01/18 13:27:43  qboosh
- up to 3.93.1, removed obsolete glibc,ifdef patches
- added link patch to link libmp3lame with -lm and link frontends dynamically

Revision 1.28  2003/01/17 12:11:15  trojan
- added bcond _without_gtk

Revision 1.27  2002/11/25 14:16:49  ankry
- massive attack: no need for 755 for *.la

Revision 1.26  2002/09/19 17:44:17  kloczek
- release 2.

Revision 1.25  2002/09/18 06:52:44  grzegol
- new %doc

Revision 1.24  2002/05/21 23:13:42  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.23  2002/04/24 20:51:06  mwinkler
- updated to 3.92
- some fixes

Revision 1.22  2002/02/23 03:26:00  kloczek
- adapterized.

Revision 1.21  2002/02/22 23:29:09  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/01/25 18:21:31  qrczak
- lame-ifdef.patch: #ifdef 0 is lame and doesn't work in gcc3,
  changed to #if 0
- Release 3.

Revision 1.19  2002/01/18 02:13:35  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.18  2002/01/07 09:10:53  kloczek
- release 2.

Revision 1.17  2002/01/06 21:28:44  qboosh
- adapterized, cosmetics

Revision 1.16  2002/01/05 22:35:08  blues
- some translations (CNV)

Revision 1.15  2002/01/05 20:10:04  mkierus
- updated to 3.91

Revision 1.14  2001/08/08 21:44:57  kloczek
- updated to 3.89.

Revision 1.13  2001/07/31 18:35:25  blues
- Release 2
- more buildrequires
- ac 2.5 ready

Revision 1.12  2001/04/02 10:35:48  kloczek
- cosmetics.

Revision 1.11  2001/03/31 12:35:29  misiek
- run ldconfig in post/postun; stb

Revision 1.10  2001/03/31 12:28:44  misiek
- updated to 3.88beta and splited into: lame, lame-libs, lame-libs, lame-libs-devel, lame-libs-static and lame-x11.

Revision 1.9  2000/07/13 23:11:45  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.8  2000/07/13 20:43:38  baggins
- release 2

Revision 1.7  2000/06/09 07:23:18  kloczek
- added using %{__make} macro.

Revision 1.6  2000/05/31 12:43:06  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:14:51  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:40  baggins
- translated kloczkish into english

Revision 1.3  2000/03/16 10:34:07  misiek
- adaptized
- removed bashizm (wrobell - don't use pushd popd !)
- link with tinfo library not with termcap

Revision 1.2  2000/01/24 23:15:20  wrobell
- added licence file to documentation

Revision 1.1  2000/01/23 00:48:33  wrobell
- initial release
